Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Archive /

Our old forums are still available as a read-only archive.

Moderators: martimiz, Sean, biapar, Willr, Ingo, simon_w

Unable to locate component - php-cgi.exe


Reply


8 Posts   12137 Views

Avatar
runerBlade

3 Posts

21 September 2007 at 8:12am

Hi buddies

i ve just installed your cms but when was the installation finishing one window appears with following:

"This application has failed to start because LIBEAY32.dll was not found. Re-installing the application may fix this problem."

I tried to do so, but after each re-installation, I had the same result with this same window.

Any idea whats wrong with my pc?

Thnx 4 feedback

Tomas

runerBlade [ at ] azet [ dot ] sk

Avatar
Matt

Core Development Team, 84 Posts

21 September 2007 at 10:04am

Hi runerBlade,

A number of other people have had this problem. I've attached the file that you should need - it should be extracted into the c:\lighttpd\php directory if you installed the SilverStripe system to the default location.

Usual rules apply - this file shouldn't contain viruses but if it does, I can't be held accountable. I would suggest scanning it just to be sure - I'm using Linux now and so don't run virus scans regularly.

Hope that helps :)

Avatar
BeefStake

23 Posts

21 September 2007 at 2:24pm

Edited: 21/09/2007 2:35pm

That zip has a pass on it...
EDIT :: Im also having this problem >.<
EDIT2 :: Pass is "silverstripe" without quotes

Avatar
BeefStake

23 Posts

21 September 2007 at 2:46pm

This copy dosent reslove the issue either... I fixed it by downloading the lattest OpenSSL Libraries (Which ill upload for everyone)

Avatar
runerBlade

3 Posts

21 September 2007 at 9:13pm

cheers guys,
but as beefstake said, it'd be better to upload files essential to run all the cms appl. properly (other ERROR ssleay32.dll ;)

Avatar
BeefStake

23 Posts

24 September 2007 at 3:37am

http://beefstake.monarocarclubofsydney.com/Silverstripe/libeay32.dll
this .dll solves everything i suggest its included when the package is updated
the reason the other one doesn't work is because it was an older version.

Avatar
deemann

1 Post

27 September 2007 at 11:43am

Hi All,

I'm also having this issue with dll files. I'm now recieving missing ssleay32.dll. I downloaded the dll and then came up with another error stating "the ordinal 113 could not be located in the dynmaic link library SSLEAY32.dll. Please help!!

Avatar
Matt

Core Development Team, 84 Posts

27 September 2007 at 3:29pm

The problem with these files is that it never seems to be quite the same between machines. For example, WAMP and Lighty seem to want different versions (even though the PHP version for me was the same). At any rate, try the following file I've attached deeman (no password on this ZIP).